<?php
/**
 * @package ats
 * @copyright Copyright (c)2011-2014 Nicholas K. Dionysopoulos / AkeebaBackup.com
 * @license GNU GPL v3 or later
 */

// No direct access
defined('_JEXEC') or die;

JLoader::import('joomla.filesystem.file');
JPluginHelper::importPlugin('ats');

$this->loadHelper('ats');
$this->loadHelper('avatar');
$this->loadHelper('subscriptions');

$avatarURL = AtsHelperAvatar::getAvatarURL($user, 64);

if(!array_key_exists($user->username, AtsHelperSubscriptions::$subsPerUser))
{
	AtsHelperSubscriptions::$subsPerUser[$user->username] = AtsHelperSubscriptions::getSubscriptionsList($user);
}

?>
<?php if($avatarURL): ?>
<div class="ats-post-userinfo-avatar">
	<img src="<?php echo $avatarURL?>" />
</div>
<?php endif; ?>
<div class="ats-post-userinfo-username">
<?php
    // If I'm a manager let's display how many tickets the user created and a link to see them all
    if($this->isManager)
    {
        $count = AtsHelper::getTicketsCount($user->id);
        $link  = JRoute::_('index.php?option=com_ats&view=my&userid='.$user->id);
        echo '<a href="'.$link.'">'.$user->username.'</a>';

	    echo ' <span class="badge hasTooltip" title="' . JText::sprintf('COM_ATS_TICKET_LBL_HADFILEDXTICKETS', $count) . '">'.$count.'</span>';
    }
    else
    {
        echo $user->username;
    }
?>
</div>
<div class="ats-post-userinfo-badge">
	<?php foreach($user->groups as $groupName => $groupID):
	$basePath = JPATH_ROOT.'/media/com_ats/groups/';
	$altPath = JPATH_BASE.'/templates/'.JFactory::getApplication()->getTemplate().'/media/com_ats/groups/';
	$alias = AtsHelperFilter::toSlug($groupName);
	$img = null;
	if(JFile::exists($altPath.$alias.'.png') || JFile::exists($basePath.$alias.'.png')) {
		$img = F0FTemplateUtils::parsePath('media://com_ats/groups/'.$alias.'.png');
	} elseif(JFile::exists($altPath.$alias.'.jpg') || JFile::exists($basePath.$alias.'.jpg')) {
		$img = F0FTemplateUtils::parsePath('media://com_ats/groups/'.$alias.'.jpg');
	}

	if(!is_null($img)):
	?>
	<img src="<?php echo $img?>" border="0" />
	<?php
	endif;
	endforeach; ?>
</div>
<?php
$countryInfo = null;
$pluginResult = JFactory::getApplication()->triggerEvent('onAtsGetSubscriptionCountry', array($user->id, $this->isManager));

if(is_array($pluginResult))
{
	$countryInfo = array_shift($pluginResult);
}

if(!empty($countryInfo) && is_array($countryInfo) && (count($countryInfo) > 1)): ?>
<div class="ats-post-userinfo-flag">
    <img class="hasTooltip" src="<?php echo F0FTemplateUtils::parsePath('media://com_ats/flags/' . strtolower($countryInfo[0]) . '.gif') ?>" title="<?php echo $countryInfo[1] ?>" alt="<?php echo $countryInfo[1] ?>" />
</div>
<?php endif;?>
<?php if (count(AtsHelperSubscriptions::$subsPerUser[$user->username]->active)): ?>
    <div class="ats-post-userinfo-subscriptions">
        <?php echo implode(', ', AtsHelperSubscriptions::$subsPerUser[$user->username]->active) ?>
    </div>
<?php endif; ?>
<?php
    // User tags
    if($this->isManager)
    {
        $tags = F0FModel::getTmpInstance('Usertags', 'AtsModel')->loadTagsByUser($user->id);

        foreach($tags as $tagid)
        {
            $tag = F0FModel::getTmpInstance('Usertags', 'AtsModel')->getItem($tagid);
            ?>
            <span class="label label-info atsTooltip" data-toggle="tooltip" title="<?php echo $tag->descr?>">
                <?php echo $tag->title ?>
            </span>
            <?php
        }
    }
?>